Annotation of embedaddon/ipsec-tools/src/racoon/Makefile.in, revision 1.1.1.2
1.1.1.2 ! misho 1: # Makefile.in generated by automake 1.13.1 from Makefile.am.
1.1 misho 2: # @configure_input@
3:
1.1.1.2 ! misho 4: # Copyright (C) 1994-2012 Free Software Foundation, Inc.
! 5:
1.1 misho 6: # This Makefile.in is free software; the Free Software Foundation
7: # gives unlimited permission to copy and/or distribute it,
8: # with or without modifications, as long as this notice is preserved.
9:
10: # This program is distributed in the hope that it will be useful,
11: # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12: # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13: # PARTICULAR PURPOSE.
14:
15: @SET_MAKE@
16:
17: # Id: Makefile.am,v 1.23 2005/07/01 08:57:50 manubsd Exp
18:
19:
20:
21: VPATH = @srcdir@
1.1.1.2 ! misho 22: am__make_dryrun = \
! 23: { \
! 24: am__dry=no; \
! 25: case $$MAKEFLAGS in \
! 26: *\\[\ \ ]*) \
! 27: echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
! 28: | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
! 29: *) \
! 30: for am__flg in $$MAKEFLAGS; do \
! 31: case $$am__flg in \
! 32: *=*|--*) ;; \
! 33: *n*) am__dry=yes; break;; \
! 34: esac; \
! 35: done;; \
! 36: esac; \
! 37: test $$am__dry = yes; \
! 38: }
1.1 misho 39: pkgdatadir = $(datadir)/@PACKAGE@
40: pkgincludedir = $(includedir)/@PACKAGE@
41: pkglibdir = $(libdir)/@PACKAGE@
42: pkglibexecdir = $(libexecdir)/@PACKAGE@
43: am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
44: install_sh_DATA = $(install_sh) -c -m 644
45: install_sh_PROGRAM = $(install_sh) -c
46: install_sh_SCRIPT = $(install_sh) -c
47: INSTALL_HEADER = $(INSTALL_DATA)
48: transform = $(program_transform_name)
49: NORMAL_INSTALL = :
50: PRE_INSTALL = :
51: POST_INSTALL = :
52: NORMAL_UNINSTALL = :
53: PRE_UNINSTALL = :
54: POST_UNINSTALL = :
55: build_triplet = @build@
56: host_triplet = @host@
57: sbin_PROGRAMS = racoon$(EXEEXT) racoonctl$(EXEEXT) \
58: plainrsa-gen$(EXEEXT)
59: noinst_PROGRAMS = eaytest$(EXEEXT)
60: TESTS = eaytest$(EXEEXT)
61: subdir = src/racoon
1.1.1.2 ! misho 62: DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am cftoken.c \
! 63: cfparse.h cfparse.c prsa_tok.c prsa_par.h prsa_par.c \
! 64: $(top_srcdir)/depcomp $(top_srcdir)/ylwrap \
! 65: $(include_racoon_HEADERS) $(noinst_HEADERS) \
! 66: $(top_srcdir)/test-driver TODO
1.1 misho 67: ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
68: am__aclocal_m4_deps = $(top_srcdir)/acracoon.m4 \
69: $(top_srcdir)/configure.ac
70: am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
71: $(ACLOCAL_M4)
72: mkinstalldirs = $(install_sh) -d
73: CONFIG_HEADER = $(top_builddir)/config.h
74: CONFIG_CLEAN_FILES =
75: CONFIG_CLEAN_VPATH_FILES =
76: am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
77: am__vpath_adj = case $$p in \
78: $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
79: *) f=$$p;; \
80: esac;
81: am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
82: am__install_max = 40
83: am__nobase_strip_setup = \
84: srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
85: am__nobase_strip = \
86: for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
87: am__nobase_list = $(am__nobase_strip_setup); \
88: for p in $$list; do echo "$$p $$p"; done | \
89: sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
90: $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
91: if (++n[$$2] == $(am__install_max)) \
92: { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
93: END { for (dir in files) print dir, files[dir] }'
94: am__base_list = \
95: sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
96: sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
1.1.1.2 ! misho 97: am__uninstall_files_from_dir = { \
! 98: test -z "$$files" \
! 99: || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
! 100: || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
! 101: $(am__cd) "$$dir" && rm -f $$files; }; \
! 102: }
1.1 misho 103: am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(sbindir)" \
104: "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" \
105: "$(DESTDIR)$(include_racoondir)"
106: LTLIBRARIES = $(lib_LTLIBRARIES)
107: libracoon_la_LIBADD =
108: am_libracoon_la_OBJECTS = libracoon_la-kmpstat.lo \
109: libracoon_la-vmbuf.lo libracoon_la-sockmisc.lo \
110: libracoon_la-misc.lo
111: libracoon_la_OBJECTS = $(am_libracoon_la_OBJECTS)
1.1.1.2 ! misho 112: AM_V_lt = $(am__v_lt_@AM_V@)
! 113: am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
! 114: am__v_lt_0 = --silent
! 115: am__v_lt_1 =
! 116: libracoon_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
1.1 misho 117: $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libracoon_la_CFLAGS) \
118: $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
119: PROGRAMS = $(noinst_PROGRAMS) $(sbin_PROGRAMS)
120: am_eaytest_OBJECTS = eaytest.$(OBJEXT) plog.$(OBJEXT) logger.$(OBJEXT)
121: eaytest_OBJECTS = $(am_eaytest_OBJECTS)
122: am__DEPENDENCIES_1 =
123: am_plainrsa_gen_OBJECTS = plainrsa-gen.$(OBJEXT) plog.$(OBJEXT) \
124: crypto_openssl.$(OBJEXT) logger.$(OBJEXT)
125: plainrsa_gen_OBJECTS = $(am_plainrsa_gen_OBJECTS)
126: am_racoon_OBJECTS = main.$(OBJEXT) session.$(OBJEXT) isakmp.$(OBJEXT) \
127: handler.$(OBJEXT) isakmp_ident.$(OBJEXT) isakmp_agg.$(OBJEXT) \
128: isakmp_base.$(OBJEXT) isakmp_quick.$(OBJEXT) \
129: isakmp_inf.$(OBJEXT) isakmp_newg.$(OBJEXT) gssapi.$(OBJEXT) \
130: dnssec.$(OBJEXT) getcertsbyname.$(OBJEXT) privsep.$(OBJEXT) \
131: pfkey.$(OBJEXT) admin.$(OBJEXT) evt.$(OBJEXT) \
132: ipsec_doi.$(OBJEXT) oakley.$(OBJEXT) grabmyaddr.$(OBJEXT) \
133: vendorid.$(OBJEXT) policy.$(OBJEXT) localconf.$(OBJEXT) \
134: remoteconf.$(OBJEXT) crypto_openssl.$(OBJEXT) \
135: algorithm.$(OBJEXT) proposal.$(OBJEXT) sainfo.$(OBJEXT) \
136: strnames.$(OBJEXT) plog.$(OBJEXT) logger.$(OBJEXT) \
137: schedule.$(OBJEXT) str2val.$(OBJEXT) safefile.$(OBJEXT) \
138: backupsa.$(OBJEXT) genlist.$(OBJEXT) rsalist.$(OBJEXT) \
139: cftoken.$(OBJEXT) cfparse.$(OBJEXT) prsa_tok.$(OBJEXT) \
140: prsa_par.$(OBJEXT)
141: racoon_OBJECTS = $(am_racoon_OBJECTS)
142: am_racoonctl_OBJECTS = racoonctl.$(OBJEXT) str2val.$(OBJEXT)
143: racoonctl_OBJECTS = $(am_racoonctl_OBJECTS)
144: racoonctl_DEPENDENCIES = libracoon.la ../libipsec/libipsec.la
1.1.1.2 ! misho 145: AM_V_P = $(am__v_P_@AM_V@)
! 146: am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
! 147: am__v_P_0 = false
! 148: am__v_P_1 = :
! 149: AM_V_GEN = $(am__v_GEN_@AM_V@)
! 150: am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
! 151: am__v_GEN_0 = @echo " GEN " $@;
! 152: am__v_GEN_1 =
! 153: AM_V_at = $(am__v_at_@AM_V@)
! 154: am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
! 155: am__v_at_0 = @
! 156: am__v_at_1 =
1.1 misho 157: DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
158: depcomp = $(SHELL) $(top_srcdir)/depcomp
159: am__depfiles_maybe = depfiles
160: am__mv = mv -f
161: COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
162: $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
1.1.1.2 ! misho 163: LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
! 164: $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
! 165: $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
! 166: $(AM_CFLAGS) $(CFLAGS)
! 167: AM_V_CC = $(am__v_CC_@AM_V@)
! 168: am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
! 169: am__v_CC_0 = @echo " CC " $@;
! 170: am__v_CC_1 =
1.1 misho 171: CCLD = $(CC)
1.1.1.2 ! misho 172: LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
! 173: $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
! 174: $(AM_LDFLAGS) $(LDFLAGS) -o $@
! 175: AM_V_CCLD = $(am__v_CCLD_@AM_V@)
! 176: am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
! 177: am__v_CCLD_0 = @echo " CCLD " $@;
! 178: am__v_CCLD_1 =
! 179: LEXCOMPILE = $(LEX) $(AM_LFLAGS) $(LFLAGS)
! 180: LTLEXCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
! 181: $(LIBTOOLFLAGS) --mode=compile $(LEX) $(AM_LFLAGS) $(LFLAGS)
! 182: AM_V_LEX = $(am__v_LEX_@AM_V@)
! 183: am__v_LEX_ = $(am__v_LEX_@AM_DEFAULT_V@)
! 184: am__v_LEX_0 = @echo " LEX " $@;
! 185: am__v_LEX_1 =
1.1 misho 186: YLWRAP = $(top_srcdir)/ylwrap
1.1.1.2 ! misho 187: am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
! 188: -e s/c++$$/h++/ -e s/c$$/h/
! 189: YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
! 190: LTYACCCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
! 191: $(LIBTOOLFLAGS) --mode=compile $(YACC) $(AM_YFLAGS) $(YFLAGS)
! 192: AM_V_YACC = $(am__v_YACC_@AM_V@)
! 193: am__v_YACC_ = $(am__v_YACC_@AM_DEFAULT_V@)
! 194: am__v_YACC_0 = @echo " YACC " $@;
! 195: am__v_YACC_1 =
1.1 misho 196: SOURCES = $(libracoon_la_SOURCES) $(eaytest_SOURCES) \
197: $(EXTRA_eaytest_SOURCES) $(plainrsa_gen_SOURCES) \
198: $(EXTRA_plainrsa_gen_SOURCES) $(racoon_SOURCES) \
199: $(EXTRA_racoon_SOURCES) $(racoonctl_SOURCES)
200: DIST_SOURCES = $(libracoon_la_SOURCES) $(eaytest_SOURCES) \
201: $(EXTRA_eaytest_SOURCES) $(plainrsa_gen_SOURCES) \
202: $(EXTRA_plainrsa_gen_SOURCES) $(racoon_SOURCES) \
203: $(EXTRA_racoon_SOURCES) $(racoonctl_SOURCES)
1.1.1.2 ! misho 204: am__can_run_installinfo = \
! 205: case $$AM_UPDATE_INFO_DIR in \
! 206: n|no|NO) false;; \
! 207: *) (install-info --version) >/dev/null 2>&1;; \
! 208: esac
1.1 misho 209: man5dir = $(mandir)/man5
210: man8dir = $(mandir)/man8
211: NROFF = nroff
212: MANS = $(man5_MANS) $(man8_MANS)
213: HEADERS = $(include_racoon_HEADERS) $(noinst_HEADERS)
1.1.1.2 ! misho 214: am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
! 215: # Read a list of newline-separated strings from the standard input,
! 216: # and print each of them once, without duplicates. Input order is
! 217: # *not* preserved.
! 218: am__uniquify_input = $(AWK) '\
! 219: BEGIN { nonempty = 0; } \
! 220: { items[$$0] = 1; nonempty = 1; } \
! 221: END { if (nonempty) { for (i in items) print i; }; } \
! 222: '
! 223: # Make sure the list of sources is unique. This is necessary because,
! 224: # e.g., the same source file might be shared among _SOURCES variables
! 225: # for different programs/libraries.
! 226: am__define_uniq_tagged_files = \
! 227: list='$(am__tagged_files)'; \
! 228: unique=`for i in $$list; do \
! 229: if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
! 230: done | $(am__uniquify_input)`
1.1 misho 231: ETAGS = etags
232: CTAGS = ctags
1.1.1.2 ! misho 233: am__tty_colors_dummy = \
! 234: mgn= red= grn= lgn= blu= brg= std=; \
! 235: am__color_tests=no
! 236: am__tty_colors = { \
! 237: $(am__tty_colors_dummy); \
! 238: if test "X$(AM_COLOR_TESTS)" = Xno; then \
! 239: am__color_tests=no; \
! 240: elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
! 241: am__color_tests=yes; \
! 242: elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
! 243: am__color_tests=yes; \
! 244: fi; \
! 245: if test $$am__color_tests = yes; then \
! 246: red='[0;31m'; \
! 247: grn='[0;32m'; \
! 248: lgn='[1;32m'; \
! 249: blu='[1;34m'; \
! 250: mgn='[0;35m'; \
! 251: brg='[1m'; \
! 252: std='[m'; \
! 253: fi; \
! 254: }
! 255: am__recheck_rx = ^[ ]*:recheck:[ ]*
! 256: am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
! 257: am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
! 258: # A command that, given a newline-separated list of test names on the
! 259: # standard input, print the name of the tests that are to be re-run
! 260: # upon "make recheck".
! 261: am__list_recheck_tests = $(AWK) '{ \
! 262: recheck = 1; \
! 263: while ((rc = (getline line < ($$0 ".trs"))) != 0) \
! 264: { \
! 265: if (rc < 0) \
! 266: { \
! 267: if ((getline line2 < ($$0 ".log")) < 0) \
! 268: recheck = 0; \
! 269: break; \
! 270: } \
! 271: else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
! 272: { \
! 273: recheck = 0; \
! 274: break; \
! 275: } \
! 276: else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
! 277: { \
! 278: break; \
! 279: } \
! 280: }; \
! 281: if (recheck) \
! 282: print $$0; \
! 283: close ($$0 ".trs"); \
! 284: close ($$0 ".log"); \
! 285: }'
! 286: # A command that, given a newline-separated list of test names on the
! 287: # standard input, create the global log from their .trs and .log files.
! 288: am__create_global_log = $(AWK) ' \
! 289: function fatal(msg) \
! 290: { \
! 291: print "fatal: making $@: " msg | "cat >&2"; \
! 292: exit 1; \
! 293: } \
! 294: function rst_section(header) \
! 295: { \
! 296: print header; \
! 297: len = length(header); \
! 298: for (i = 1; i <= len; i = i + 1) \
! 299: printf "="; \
! 300: printf "\n\n"; \
! 301: } \
! 302: { \
! 303: copy_in_global_log = 1; \
! 304: global_test_result = "RUN"; \
! 305: while ((rc = (getline line < ($$0 ".trs"))) != 0) \
! 306: { \
! 307: if (rc < 0) \
! 308: fatal("failed to read from " $$0 ".trs"); \
! 309: if (line ~ /$(am__global_test_result_rx)/) \
! 310: { \
! 311: sub("$(am__global_test_result_rx)", "", line); \
! 312: sub("[ ]*$$", "", line); \
! 313: global_test_result = line; \
! 314: } \
! 315: else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
! 316: copy_in_global_log = 0; \
! 317: }; \
! 318: if (copy_in_global_log) \
! 319: { \
! 320: rst_section(global_test_result ": " $$0); \
! 321: while ((rc = (getline line < ($$0 ".log"))) != 0) \
! 322: { \
! 323: if (rc < 0) \
! 324: fatal("failed to read from " $$0 ".log"); \
! 325: print line; \
! 326: }; \
! 327: printf "\n"; \
! 328: }; \
! 329: close ($$0 ".trs"); \
! 330: close ($$0 ".log"); \
! 331: }'
! 332: # Restructured Text title.
! 333: am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
! 334: # Solaris 10 'make', and several other traditional 'make' implementations,
! 335: # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
! 336: # by disabling -e (using the XSI extension "set +e") if it's set.
! 337: am__sh_e_setup = case $$- in *e*) set +e;; esac
! 338: # Default flags passed to test drivers.
! 339: am__common_driver_flags = \
! 340: --color-tests "$$am__color_tests" \
! 341: --enable-hard-errors "$$am__enable_hard_errors" \
! 342: --expect-failure "$$am__expect_failure"
! 343: # To be inserted before the command running the test. Creates the
! 344: # directory for the log if needed. Stores in $dir the directory
! 345: # containing $f, in $tst the test, in $log the log. Executes the
! 346: # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
! 347: # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
! 348: # will run the test scripts (or their associated LOG_COMPILER, if
! 349: # thy have one).
! 350: am__check_pre = \
! 351: $(am__sh_e_setup); \
! 352: $(am__vpath_adj_setup) $(am__vpath_adj) \
! 353: $(am__tty_colors); \
! 354: srcdir=$(srcdir); export srcdir; \
! 355: case "$@" in \
! 356: */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
! 357: *) am__odir=.;; \
! 358: esac; \
! 359: test "x$$am__odir" = x"." || test -d "$$am__odir" \
! 360: || $(MKDIR_P) "$$am__odir" || exit $$?; \
! 361: if test -f "./$$f"; then dir=./; \
! 362: elif test -f "$$f"; then dir=; \
! 363: else dir="$(srcdir)/"; fi; \
! 364: tst=$$dir$$f; log='$@'; \
! 365: if test -n '$(DISABLE_HARD_ERRORS)'; then \
! 366: am__enable_hard_errors=no; \
! 367: else \
! 368: am__enable_hard_errors=yes; \
! 369: fi; \
! 370: case " $(XFAIL_TESTS) " in \
! 371: *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
! 372: am__expect_failure=yes;; \
! 373: *) \
! 374: am__expect_failure=no;; \
! 375: esac; \
! 376: $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
! 377: # A shell command to get the names of the tests scripts with any registered
! 378: # extension removed (i.e., equivalently, the names of the test logs, with
! 379: # the '.log' extension removed). The result is saved in the shell variable
! 380: # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
! 381: # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
! 382: # since that might cause problem with VPATH rewrites for suffix-less tests.
! 383: # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
! 384: am__set_TESTS_bases = \
! 385: bases='$(TEST_LOGS)'; \
! 386: bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
! 387: bases=`echo $$bases`
! 388: RECHECK_LOGS = $(TEST_LOGS)
! 389: AM_RECURSIVE_TARGETS = check recheck
! 390: TEST_SUITE_LOG = test-suite.log
! 391: TEST_EXTENSIONS = @EXEEXT@ .test
! 392: LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
! 393: LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
! 394: am__set_b = \
! 395: case '$@' in \
! 396: */*) \
! 397: case '$*' in \
! 398: */*) b='$*';; \
! 399: *) b=`echo '$@' | sed 's/\.log$$//'`; \
! 400: esac;; \
! 401: *) \
! 402: b='$*';; \
! 403: esac
! 404: am__test_logs1 = $(TESTS:=.log)
! 405: am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
! 406: TEST_LOGS = $(am__test_logs2:.test.log=.log)
! 407: TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
! 408: TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
! 409: $(TEST_LOG_FLAGS)
1.1 misho 410: DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
411: ACLOCAL = @ACLOCAL@
412: AMTAR = @AMTAR@
1.1.1.2 ! misho 413: AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
1.1 misho 414: AR = @AR@
415: AUTOCONF = @AUTOCONF@
416: AUTOHEADER = @AUTOHEADER@
417: AUTOMAKE = @AUTOMAKE@
418: AWK = @AWK@
419: CC = @CC@
420: CCDEPMODE = @CCDEPMODE@
421: CFLAGS = @CFLAGS@
422: CONFIGURE_AMFLAGS = @CONFIGURE_AMFLAGS@
423: CPP = @CPP@
424: CPPFLAGS = @CPPFLAGS@
425: CRYPTOBJS = @CRYPTOBJS@
426: CYGPATH_W = @CYGPATH_W@
427: DEFS = @DEFS@
428: DEPDIR = @DEPDIR@
1.1.1.2 ! misho 429: DLLTOOL = @DLLTOOL@
1.1 misho 430: DSYMUTIL = @DSYMUTIL@
431: DUMPBIN = @DUMPBIN@
432: ECHO_C = @ECHO_C@
433: ECHO_N = @ECHO_N@
434: ECHO_T = @ECHO_T@
435: EGREP = @EGREP@
436: EXEEXT = @EXEEXT@
437: EXTRA_CRYPTO = @EXTRA_CRYPTO@
438: FGREP = @FGREP@
439: FRAG_OBJS = @FRAG_OBJS@
440: GLIBC_BUGS = @GLIBC_BUGS@
441: GREP = @GREP@
442: HYBRID_OBJS = @HYBRID_OBJS@
443: INCLUDE_GLIBC = @INCLUDE_GLIBC@
444: INSTALL = @INSTALL@
445: INSTALL_DATA = @INSTALL_DATA@
446: INSTALL_OPTS = @INSTALL_OPTS@
447: INSTALL_PROGRAM = @INSTALL_PROGRAM@
448: INSTALL_SCRIPT = @INSTALL_SCRIPT@
449: INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
450: KERNEL_INCLUDE = @KERNEL_INCLUDE@
451: KRB5_CONFIG = @KRB5_CONFIG@
452: LD = @LD@
453: LDFLAGS = @LDFLAGS@
454: LEX = @LEX@
455: LEXLIB = @LEXLIB@
456: LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
457: LIBOBJS = @LIBOBJS@
458: LIBS = @LIBS@
459: LIBTOOL = @LIBTOOL@
460: LIPO = @LIPO@
461: LN_S = @LN_S@
462: LTLIBOBJS = @LTLIBOBJS@
463: MAKEINFO = @MAKEINFO@
1.1.1.2 ! misho 464: MANIFEST_TOOL = @MANIFEST_TOOL@
1.1 misho 465: MKDIR_P = @MKDIR_P@
466: NATT_OBJS = @NATT_OBJS@
467: NM = @NM@
468: NMEDIT = @NMEDIT@
469: OBJDUMP = @OBJDUMP@
470: OBJEXT = @OBJEXT@
471: OTOOL = @OTOOL@
472: OTOOL64 = @OTOOL64@
473: PACKAGE = @PACKAGE@
474: PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
475: PACKAGE_NAME = @PACKAGE_NAME@
476: PACKAGE_STRING = @PACKAGE_STRING@
477: PACKAGE_TARNAME = @PACKAGE_TARNAME@
478: PACKAGE_URL = @PACKAGE_URL@
479: PACKAGE_VERSION = @PACKAGE_VERSION@
480: PATH_SEPARATOR = @PATH_SEPARATOR@
481: RANLIB = @RANLIB@
482: RPM = @RPM@
483: SECCTX_OBJS = @SECCTX_OBJS@
484: SED = @SED@
485: SET_MAKE = @SET_MAKE@
486: SHELL = @SHELL@
487: STRIP = @STRIP@
488: VERSION = @VERSION@
489: YACC = @YACC@
490: YFLAGS = @YFLAGS@
491: abs_builddir = @abs_builddir@
492: abs_srcdir = @abs_srcdir@
493: abs_top_builddir = @abs_top_builddir@
494: abs_top_srcdir = @abs_top_srcdir@
1.1.1.2 ! misho 495: ac_ct_AR = @ac_ct_AR@
1.1 misho 496: ac_ct_CC = @ac_ct_CC@
497: ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
498: am__include = @am__include@
499: am__leading_dot = @am__leading_dot@
500: am__quote = @am__quote@
501: am__tar = @am__tar@
502: am__untar = @am__untar@
503: bindir = @bindir@
504: build = @build@
505: build_alias = @build_alias@
506: build_cpu = @build_cpu@
507: build_os = @build_os@
508: build_vendor = @build_vendor@
509: builddir = @builddir@
510: datadir = @datadir@
511: datarootdir = @datarootdir@
512: docdir = @docdir@
513: dvidir = @dvidir@
514: exec_prefix = @exec_prefix@
515: host = @host@
516: host_alias = @host_alias@
517: host_cpu = @host_cpu@
518: host_os = @host_os@
519: host_vendor = @host_vendor@
520: htmldir = @htmldir@
521: include_racoondir = @include_racoondir@
522: includedir = @includedir@
523: infodir = @infodir@
524: install_sh = @install_sh@
525: libdir = @libdir@
526: libexecdir = @libexecdir@
527: localedir = @localedir@
528: localstatedir = @localstatedir@
529: mandir = @mandir@
530: mkdir_p = @mkdir_p@
531: oldincludedir = @oldincludedir@
532: pdfdir = @pdfdir@
533: prefix = @prefix@
534: program_transform_name = @program_transform_name@
535: psdir = @psdir@
536: sbindir = @sbindir@
537: sharedstatedir = @sharedstatedir@
538: srcdir = @srcdir@
539: sysconfdir = @sysconfdir@
540: target_alias = @target_alias@
541: top_build_prefix = @top_build_prefix@
542: top_builddir = @top_builddir@
543: top_srcdir = @top_srcdir@
544: include_racoon_HEADERS = racoonctl.h var.h vmbuf.h misc.h gcmalloc.h admin.h \
545: schedule.h sockmisc.h isakmp_var.h isakmp.h isakmp_xauth.h \
546: isakmp_cfg.h isakmp_unity.h ipsec_doi.h evt.h
547:
548: lib_LTLIBRARIES = libracoon.la
549: adminsockdir = ${localstatedir}/racoon
550: BUILT_SOURCES = cfparse.h prsa_par.h
551: INCLUDES = -I${srcdir}/../libipsec
552: AM_CFLAGS = -D_GNU_SOURCE @GLIBC_BUGS@ -DSYSCONFDIR=\"${sysconfdir}\" \
553: -DADMINPORTDIR=\"${adminsockdir}\"
554:
555: AM_LDFLAGS = @EXTRA_CRYPTO@ -lcrypto
556: AM_YFLAGS = -d ${$*_YFLAGS}
557: AM_LFLAGS = ${$*_LFLAGS}
558: prsa_par_YFLAGS = -p prsa
559: prsa_tok_LFLAGS = -Pprsa -olex.yy.c
560: MISSING_ALGOS = \
561: missing/crypto/sha2/sha2.c \
562: missing/crypto/rijndael/rijndael-api-fst.c \
563: missing/crypto/rijndael/rijndael-alg-fst.c
564:
565: racoon_SOURCES = \
566: main.c session.c isakmp.c handler.c \
567: isakmp_ident.c isakmp_agg.c isakmp_base.c \
568: isakmp_quick.c isakmp_inf.c isakmp_newg.c \
569: gssapi.c dnssec.c getcertsbyname.c privsep.c \
570: pfkey.c admin.c evt.c ipsec_doi.c oakley.c grabmyaddr.c vendorid.c \
571: policy.c localconf.c remoteconf.c crypto_openssl.c algorithm.c \
572: proposal.c sainfo.c strnames.c \
573: plog.c logger.c schedule.c str2val.c \
574: safefile.c backupsa.c genlist.c rsalist.c \
575: cftoken.l cfparse.y prsa_tok.l prsa_par.y
576:
577: EXTRA_racoon_SOURCES = isakmp_xauth.c isakmp_cfg.c isakmp_unity.c throttle.c \
578: isakmp_frag.c nattraversal.c security.c $(MISSING_ALGOS)
579:
580: racoon_LDADD = $(CRYPTOBJS) $(HYBRID_OBJS) $(NATT_OBJS) $(FRAG_OBJS) $(LEXLIB) \
581: $(SECCTX_OBJS) vmbuf.o sockmisc.o misc.o ../libipsec/libipsec.la
582:
583: racoon_DEPENDENCIES = \
584: $(CRYPTOBJS) $(HYBRID_OBJS) $(NATT_OBJS) $(FRAG_OBJS) $(SECCTX_OBJS) \
585: vmbuf.o sockmisc.o misc.o
586:
587: racoonctl_SOURCES = racoonctl.c str2val.c
588: racoonctl_LDADD = libracoon.la ../libipsec/libipsec.la
589: libracoon_la_SOURCES = kmpstat.c vmbuf.c sockmisc.c misc.c
590: libracoon_la_CFLAGS = -DNOUSE_PRIVSEP $(AM_CFLAGS)
591: plainrsa_gen_SOURCES = plainrsa-gen.c plog.c \
592: crypto_openssl.c logger.c
593:
594: EXTRA_plainrsa_gen_SOURCES = $(MISSING_ALGOS)
595: plainrsa_gen_LDADD = $(CRYPTOBJS) vmbuf.o misc.o
596: plainrsa_gen_DEPENDENCIES = $(CRYPTOBJS) vmbuf.o misc.o
597: eaytest_SOURCES = eaytest.c plog.c logger.c
598: EXTRA_eaytest_SOURCES = missing/crypto/sha2/sha2.c
599: eaytest_LDADD = crypto_openssl_test.o vmbuf.o str2val.o misc_noplog.o \
600: $(CRYPTOBJS)
601:
602: eaytest_DEPENDENCIES = crypto_openssl_test.o vmbuf.o str2val.o \
603: misc_noplog.o $(CRYPTOBJS)
604:
605: noinst_HEADERS = \
606: admin.h dnssec.h isakmp_base.h oakley.h session.h \
607: admin_var.h dump.h isakmp_ident.h pfkey.h sockmisc.h \
608: algorithm.h gcmalloc.h isakmp_inf.h plog.h str2val.h \
609: backupsa.h gnuc.h isakmp_newg.h policy.h strnames.h \
610: grabmyaddr.h isakmp_quick.h proposal.h var.h evt.h \
611: gssapi.h isakmp_var.h vendorid.h nattraversal.h\
612: crypto_openssl.h handler.h localconf.h remoteconf.h vmbuf.h \
613: debug.h ipsec_doi.h logger.h safefile.h \
614: debugrm.h isakmp.h misc.h sainfo.h \
615: dhgroup.h isakmp_agg.h netdb_dnssec.h schedule.h \
616: isakmp_cfg.h isakmp_xauth.h isakmp_unity.h isakmp_frag.h \
617: throttle.h privsep.h \
618: cfparse_proto.h cftoken_proto.h genlist.h rsalist.h \
619: missing/crypto/sha2/sha2.h missing/crypto/rijndael/rijndael_local.h \
620: missing/crypto/rijndael/rijndael-api-fst.h \
621: missing/crypto/rijndael/rijndael-alg-fst.h \
622: missing/crypto/rijndael/rijndael.h
623:
624: man5_MANS = racoon.conf.5
625: man8_MANS = racoon.8 racoonctl.8 plainrsa-gen.8
626: EXTRA_DIST = \
627: ${man5_MANS} ${man8_MANS} \
628: missing/crypto/rijndael/boxes-fst.dat \
629: doc/FAQ doc/README.certificate doc/README.gssapi doc/README.plainrsa \
630: doc/README.privsep \
631: contrib/sp.pl stats.pl \
632: samples/psk.txt.sample samples/racoon.conf.sample \
633: samples/psk.txt.in samples/racoon.conf.in \
634: samples/racoon.conf.sample-gssapi samples/racoon.conf.sample-natt \
635: samples/racoon.conf.sample-inherit samples/racoon.conf.sample-plainrsa \
636: samples/roadwarrior/README \
637: samples/roadwarrior/client/phase1-down.sh \
638: samples/roadwarrior/client/phase1-up.sh \
639: samples/roadwarrior/client/racoon.conf \
640: samples/roadwarrior/server/racoon.conf \
641: samples/roadwarrior/server/racoon.conf-radius
642:
643: all: $(BUILT_SOURCES)
644: $(MAKE) $(AM_MAKEFLAGS) all-am
645:
646: .SUFFIXES:
1.1.1.2 ! misho 647: .SUFFIXES: .c .l .lo .log .o .obj .test .test$(EXEEXT) .trs .y
1.1 misho 648: $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
649: @for dep in $?; do \
650: case '$(am__configure_deps)' in \
651: *$$dep*) \
652: ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
653: && { if test -f $@; then exit 0; else break; fi; }; \
654: exit 1;; \
655: esac; \
656: done; \
657: echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/racoon/Makefile'; \
658: $(am__cd) $(top_srcdir) && \
659: $(AUTOMAKE) --foreign src/racoon/Makefile
660: .PRECIOUS: Makefile
661: Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
662: @case '$?' in \
663: *config.status*) \
664: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
665: *) \
666: echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
667: cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
668: esac;
669:
670: $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
671: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
672:
673: $(top_srcdir)/configure: $(am__configure_deps)
674: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
675: $(ACLOCAL_M4): $(am__aclocal_m4_deps)
676: cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
677: $(am__aclocal_m4_deps):
1.1.1.2 ! misho 678:
1.1 misho 679: install-libLTLIBRARIES: $(lib_LTLIBRARIES)
680: @$(NORMAL_INSTALL)
681: @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
682: list2=; for p in $$list; do \
683: if test -f $$p; then \
684: list2="$$list2 $$p"; \
685: else :; fi; \
686: done; \
687: test -z "$$list2" || { \
1.1.1.2 ! misho 688: echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
! 689: $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
1.1 misho 690: echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
691: $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
692: }
693:
694: uninstall-libLTLIBRARIES:
695: @$(NORMAL_UNINSTALL)
696: @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
697: for p in $$list; do \
698: $(am__strip_dir) \
699: echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
700: $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
701: done
702:
703: clean-libLTLIBRARIES:
704: -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
1.1.1.2 ! misho 705: @list='$(lib_LTLIBRARIES)'; \
! 706: locs=`for p in $$list; do echo $$p; done | \
! 707: sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
! 708: sort -u`; \
! 709: test -z "$$locs" || { \
! 710: echo rm -f $${locs}; \
! 711: rm -f $${locs}; \
! 712: }
! 713: libracoon.la: $(libracoon_la_OBJECTS) $(libracoon_la_DEPENDENCIES) $(EXTRA_libracoon_la_DEPENDENCIES)
! 714: $(AM_V_CCLD)$(libracoon_la_LINK) -rpath $(libdir) $(libracoon_la_OBJECTS) $(libracoon_la_LIBADD) $(LIBS)
1.1 misho 715:
716: clean-noinstPROGRAMS:
717: @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
718: echo " rm -f" $$list; \
719: rm -f $$list || exit $$?; \
720: test -n "$(EXEEXT)" || exit 0; \
721: list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
722: echo " rm -f" $$list; \
723: rm -f $$list
724: install-sbinPROGRAMS: $(sbin_PROGRAMS)
725: @$(NORMAL_INSTALL)
726: @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
1.1.1.2 ! misho 727: if test -n "$$list"; then \
! 728: echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
! 729: $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
! 730: fi; \
1.1 misho 731: for p in $$list; do echo "$$p $$p"; done | \
732: sed 's/$(EXEEXT)$$//' | \
1.1.1.2 ! misho 733: while read p p1; do if test -f $$p \
! 734: || test -f $$p1 \
! 735: ; then echo "$$p"; echo "$$p"; else :; fi; \
1.1 misho 736: done | \
1.1.1.2 ! misho 737: sed -e 'p;s,.*/,,;n;h' \
! 738: -e 's|.*|.|' \
1.1 misho 739: -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
740: sed 'N;N;N;s,\n, ,g' | \
741: $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
742: { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
743: if ($$2 == $$4) files[d] = files[d] " " $$1; \
744: else { print "f", $$3 "/" $$4, $$1; } } \
745: END { for (d in files) print "f", d, files[d] }' | \
746: while read type dir files; do \
747: if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
748: test -z "$$files" || { \
749: echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
750: $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
751: } \
752: ; done
753:
754: uninstall-sbinPROGRAMS:
755: @$(NORMAL_UNINSTALL)
756: @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
757: files=`for p in $$list; do echo "$$p"; done | \
758: sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
1.1.1.2 ! misho 759: -e 's/$$/$(EXEEXT)/' \
! 760: `; \
1.1 misho 761: test -n "$$list" || exit 0; \
762: echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
763: cd "$(DESTDIR)$(sbindir)" && rm -f $$files
764:
765: clean-sbinPROGRAMS:
766: @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
767: echo " rm -f" $$list; \
768: rm -f $$list || exit $$?; \
769: test -n "$(EXEEXT)" || exit 0; \
770: list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
771: echo " rm -f" $$list; \
772: rm -f $$list
1.1.1.2 ! misho 773: eaytest$(EXEEXT): $(eaytest_OBJECTS) $(eaytest_DEPENDENCIES) $(EXTRA_eaytest_DEPENDENCIES)
1.1 misho 774: @rm -f eaytest$(EXEEXT)
1.1.1.2 ! misho 775: $(AM_V_CCLD)$(LINK) $(eaytest_OBJECTS) $(eaytest_LDADD) $(LIBS)
! 776: plainrsa-gen$(EXEEXT): $(plainrsa_gen_OBJECTS) $(plainrsa_gen_DEPENDENCIES) $(EXTRA_plainrsa_gen_DEPENDENCIES)
1.1 misho 777: @rm -f plainrsa-gen$(EXEEXT)
1.1.1.2 ! misho 778: $(AM_V_CCLD)$(LINK) $(plainrsa_gen_OBJECTS) $(plainrsa_gen_LDADD) $(LIBS)
1.1 misho 779: cfparse.h: cfparse.c
1.1.1.2 ! misho 780: @if test ! -f $@; then rm -f cfparse.c; else :; fi
! 781: @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) cfparse.c; else :; fi
1.1 misho 782: prsa_par.h: prsa_par.c
1.1.1.2 ! misho 783: @if test ! -f $@; then rm -f prsa_par.c; else :; fi
! 784: @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) prsa_par.c; else :; fi
! 785: racoon$(EXEEXT): $(racoon_OBJECTS) $(racoon_DEPENDENCIES) $(EXTRA_racoon_DEPENDENCIES)
1.1 misho 786: @rm -f racoon$(EXEEXT)
1.1.1.2 ! misho 787: $(AM_V_CCLD)$(LINK) $(racoon_OBJECTS) $(racoon_LDADD) $(LIBS)
! 788: racoonctl$(EXEEXT): $(racoonctl_OBJECTS) $(racoonctl_DEPENDENCIES) $(EXTRA_racoonctl_DEPENDENCIES)
1.1 misho 789: @rm -f racoonctl$(EXEEXT)
1.1.1.2 ! misho 790: $(AM_V_CCLD)$(LINK) $(racoonctl_OBJECTS) $(racoonctl_LDADD) $(LIBS)
1.1 misho 791:
792: mostlyclean-compile:
793: -rm -f *.$(OBJEXT)
794:
795: distclean-compile:
796: -rm -f *.tab.c
797:
798: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/admin.Po@am__quote@
799: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/algorithm.Po@am__quote@
800: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/backupsa.Po@am__quote@
801: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfparse.Po@am__quote@
802: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cftoken.Po@am__quote@
803: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crypto_openssl.Po@am__quote@
804: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dnssec.Po@am__quote@
805: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eaytest.Po@am__quote@
806: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/evt.Po@am__quote@
807: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/genlist.Po@am__quote@
808: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getcertsbyname.Po@am__quote@
809: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/grabmyaddr.Po@am__quote@
810: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gssapi.Po@am__quote@
811: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/handler.Po@am__quote@
812: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ipsec_doi.Po@am__quote@
813: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp.Po@am__quote@
814: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_agg.Po@am__quote@
815: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_base.Po@am__quote@
816: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_cfg.Po@am__quote@
817: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_frag.Po@am__quote@
818: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_ident.Po@am__quote@
819: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_inf.Po@am__quote@
820: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_newg.Po@am__quote@
821: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_quick.Po@am__quote@
822: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_unity.Po@am__quote@
823: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/isakmp_xauth.Po@am__quote@
824: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libracoon_la-kmpstat.Plo@am__quote@
825: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libracoon_la-misc.Plo@am__quote@
826: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libracoon_la-sockmisc.Plo@am__quote@
827: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libracoon_la-vmbuf.Plo@am__quote@
828: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/localconf.Po@am__quote@
829: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/logger.Po@am__quote@
830: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
831: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nattraversal.Po@am__quote@
832: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/oakley.Po@am__quote@
833: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pfkey.Po@am__quote@
834: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plainrsa-gen.Po@am__quote@
835: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plog.Po@am__quote@
836: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/policy.Po@am__quote@
837: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/privsep.Po@am__quote@
838: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/proposal.Po@am__quote@
839: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/prsa_par.Po@am__quote@
840: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/prsa_tok.Po@am__quote@
841: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/racoonctl.Po@am__quote@
842: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remoteconf.Po@am__quote@
843: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rijndael-alg-fst.Po@am__quote@
844: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rijndael-api-fst.Po@am__quote@
845: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rsalist.Po@am__quote@
846: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/safefile.Po@am__quote@
847: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sainfo.Po@am__quote@
848: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/schedule.Po@am__quote@
849: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/security.Po@am__quote@
850: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/session.Po@am__quote@
851: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sha2.Po@am__quote@
852: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/str2val.Po@am__quote@
853: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strnames.Po@am__quote@
854: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/throttle.Po@am__quote@
855: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vendorid.Po@am__quote@
856:
857: .c.o:
1.1.1.2 ! misho 858: @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
! 859: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
! 860: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1.1 misho 861: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 862: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
1.1 misho 863:
864: .c.obj:
1.1.1.2 ! misho 865: @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
! 866: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
! 867: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1.1 misho 868: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 869: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
1.1 misho 870:
871: .c.lo:
1.1.1.2 ! misho 872: @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
! 873: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
! 874: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1.1 misho 875: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 876: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1.1 misho 877:
878: libracoon_la-kmpstat.lo: kmpstat.c
1.1.1.2 ! misho 879: @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -MT libracoon_la-kmpstat.lo -MD -MP -MF $(DEPDIR)/libracoon_la-kmpstat.Tpo -c -o libracoon_la-kmpstat.lo `test -f 'kmpstat.c' || echo '$(srcdir)/'`kmpstat.c
! 880: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libracoon_la-kmpstat.Tpo $(DEPDIR)/libracoon_la-kmpstat.Plo
! 881: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='kmpstat.c' object='libracoon_la-kmpstat.lo' libtool=yes @AMDEPBACKSLASH@
1.1 misho 882: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 883: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -c -o libracoon_la-kmpstat.lo `test -f 'kmpstat.c' || echo '$(srcdir)/'`kmpstat.c
1.1 misho 884:
885: libracoon_la-vmbuf.lo: vmbuf.c
1.1.1.2 ! misho 886: @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -MT libracoon_la-vmbuf.lo -MD -MP -MF $(DEPDIR)/libracoon_la-vmbuf.Tpo -c -o libracoon_la-vmbuf.lo `test -f 'vmbuf.c' || echo '$(srcdir)/'`vmbuf.c
! 887: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libracoon_la-vmbuf.Tpo $(DEPDIR)/libracoon_la-vmbuf.Plo
! 888: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='vmbuf.c' object='libracoon_la-vmbuf.lo' libtool=yes @AMDEPBACKSLASH@
1.1 misho 889: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 890: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -c -o libracoon_la-vmbuf.lo `test -f 'vmbuf.c' || echo '$(srcdir)/'`vmbuf.c
1.1 misho 891:
892: libracoon_la-sockmisc.lo: sockmisc.c
1.1.1.2 ! misho 893: @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -MT libracoon_la-sockmisc.lo -MD -MP -MF $(DEPDIR)/libracoon_la-sockmisc.Tpo -c -o libracoon_la-sockmisc.lo `test -f 'sockmisc.c' || echo '$(srcdir)/'`sockmisc.c
! 894: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libracoon_la-sockmisc.Tpo $(DEPDIR)/libracoon_la-sockmisc.Plo
! 895: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='sockmisc.c' object='libracoon_la-sockmisc.lo' libtool=yes @AMDEPBACKSLASH@
1.1 misho 896: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 897: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -c -o libracoon_la-sockmisc.lo `test -f 'sockmisc.c' || echo '$(srcdir)/'`sockmisc.c
1.1 misho 898:
899: libracoon_la-misc.lo: misc.c
1.1.1.2 ! misho 900: @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -MT libracoon_la-misc.lo -MD -MP -MF $(DEPDIR)/libracoon_la-misc.Tpo -c -o libracoon_la-misc.lo `test -f 'misc.c' || echo '$(srcdir)/'`misc.c
! 901: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libracoon_la-misc.Tpo $(DEPDIR)/libracoon_la-misc.Plo
! 902: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='misc.c' object='libracoon_la-misc.lo' libtool=yes @AMDEPBACKSLASH@
1.1 misho 903: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 904: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libracoon_la_CFLAGS) $(CFLAGS) -c -o libracoon_la-misc.lo `test -f 'misc.c' || echo '$(srcdir)/'`misc.c
1.1 misho 905:
906: sha2.obj: missing/crypto/sha2/sha2.c
1.1.1.2 ! misho 907: @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sha2.obj -MD -MP -MF $(DEPDIR)/sha2.Tpo -c -o sha2.obj `if test -f 'missing/crypto/sha2/sha2.c'; then $(CYGPATH_W) 'missing/crypto/sha2/sha2.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/sha2/sha2.c'; fi`
! 908: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/sha2.Tpo $(DEPDIR)/sha2.Po
! 909: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='missing/crypto/sha2/sha2.c' object='sha2.obj' libtool=no @AMDEPBACKSLASH@
1.1 misho 910: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 911: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sha2.obj `if test -f 'missing/crypto/sha2/sha2.c'; then $(CYGPATH_W) 'missing/crypto/sha2/sha2.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/sha2/sha2.c'; fi`
1.1 misho 912:
913: rijndael-api-fst.obj: missing/crypto/rijndael/rijndael-api-fst.c
1.1.1.2 ! misho 914: @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT rijndael-api-fst.obj -MD -MP -MF $(DEPDIR)/rijndael-api-fst.Tpo -c -o rijndael-api-fst.obj `if test -f 'missing/crypto/rijndael/rijndael-api-fst.c'; then $(CYGPATH_W) 'missing/crypto/rijndael/rijndael-api-fst.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/rijndael/rijndael-api-fst.c'; fi`
! 915: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/rijndael-api-fst.Tpo $(DEPDIR)/rijndael-api-fst.Po
! 916: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='missing/crypto/rijndael/rijndael-api-fst.c' object='rijndael-api-fst.obj' libtool=no @AMDEPBACKSLASH@
1.1 misho 917: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 918: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o rijndael-api-fst.obj `if test -f 'missing/crypto/rijndael/rijndael-api-fst.c'; then $(CYGPATH_W) 'missing/crypto/rijndael/rijndael-api-fst.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/rijndael/rijndael-api-fst.c'; fi`
1.1 misho 919:
920: rijndael-alg-fst.obj: missing/crypto/rijndael/rijndael-alg-fst.c
1.1.1.2 ! misho 921: @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT rijndael-alg-fst.obj -MD -MP -MF $(DEPDIR)/rijndael-alg-fst.Tpo -c -o rijndael-alg-fst.obj `if test -f 'missing/crypto/rijndael/rijndael-alg-fst.c'; then $(CYGPATH_W) 'missing/crypto/rijndael/rijndael-alg-fst.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/rijndael/rijndael-alg-fst.c'; fi`
! 922: @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/rijndael-alg-fst.Tpo $(DEPDIR)/rijndael-alg-fst.Po
! 923: @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='missing/crypto/rijndael/rijndael-alg-fst.c' object='rijndael-alg-fst.obj' libtool=no @AMDEPBACKSLASH@
1.1 misho 924: @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.1.1.2 ! misho 925: @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o rijndael-alg-fst.obj `if test -f 'missing/crypto/rijndael/rijndael-alg-fst.c'; then $(CYGPATH_W) 'missing/crypto/rijndael/rijndael-alg-fst.c'; else $(CYGPATH_W) '$(srcdir)/missing/crypto/rijndael/rijndael-alg-fst.c'; fi`
1.1 misho 926:
927: .l.c:
1.1.1.2 ! misho 928: $(AM_V_LEX)$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
1.1 misho 929:
930: .y.c:
1.1.1.2 ! misho 931: $(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
1.1 misho 932:
933: mostlyclean-libtool:
934: -rm -f *.lo
935:
936: clean-libtool:
937: -rm -rf .libs _libs
938: install-man5: $(man5_MANS)
939: @$(NORMAL_INSTALL)
1.1.1.2 ! misho 940: @list1='$(man5_MANS)'; \
! 941: list2=''; \
! 942: test -n "$(man5dir)" \
! 943: && test -n "`echo $$list1$$list2`" \
! 944: || exit 0; \
! 945: echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
! 946: $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
! 947: { for i in $$list1; do echo "$$i"; done; \
! 948: if test -n "$$list2"; then \
! 949: for i in $$list2; do echo "$$i"; done \
! 950: | sed -n '/\.5[a-z]*$$/p'; \
! 951: fi; \
1.1 misho 952: } | while read p; do \
953: if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
954: echo "$$d$$p"; echo "$$p"; \
955: done | \
956: sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
957: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
958: sed 'N;N;s,\n, ,g' | { \
959: list=; while read file base inst; do \
960: if test "$$base" = "$$inst"; then list="$$list $$file"; else \
961: echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
962: $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
963: fi; \
964: done; \
965: for i in $$list; do echo "$$i"; done | $(am__base_list) | \
966: while read files; do \
967: test -z "$$files" || { \
968: echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
969: $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
970: done; }
971:
972: uninstall-man5:
973: @$(NORMAL_UNINSTALL)
974: @list='$(man5_MANS)'; test -n "$(man5dir)" || exit 0; \
975: files=`{ for i in $$list; do echo "$$i"; done; \
976: } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
977: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1.1.1.2 ! misho 978: dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
1.1 misho 979: install-man8: $(man8_MANS)
980: @$(NORMAL_INSTALL)
1.1.1.2 ! misho 981: @list1='$(man8_MANS)'; \
! 982: list2=''; \
! 983: test -n "$(man8dir)" \
! 984: && test -n "`echo $$list1$$list2`" \
! 985: || exit 0; \
! 986: echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
! 987: $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
! 988: { for i in $$list1; do echo "$$i"; done; \
! 989: if test -n "$$list2"; then \
! 990: for i in $$list2; do echo "$$i"; done \
! 991: | sed -n '/\.8[a-z]*$$/p'; \
! 992: fi; \
1.1 misho 993: } | while read p; do \
994: if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
995: echo "$$d$$p"; echo "$$p"; \
996: done | \
997: sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
998: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
999: sed 'N;N;s,\n, ,g' | { \
1000: list=; while read file base inst; do \
1001: if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1002: echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
1003: $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
1004: fi; \
1005: done; \
1006: for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1007: while read files; do \
1008: test -z "$$files" || { \
1009: echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
1010: $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
1011: done; }
1012:
1013: uninstall-man8:
1014: @$(NORMAL_UNINSTALL)
1015: @list='$(man8_MANS)'; test -n "$(man8dir)" || exit 0; \
1016: files=`{ for i in $$list; do echo "$$i"; done; \
1017: } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
1018: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1.1.1.2 ! misho 1019: dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
1.1 misho 1020: install-include_racoonHEADERS: $(include_racoon_HEADERS)
1021: @$(NORMAL_INSTALL)
1022: @list='$(include_racoon_HEADERS)'; test -n "$(include_racoondir)" || list=; \
1.1.1.2 ! misho 1023: if test -n "$$list"; then \
! 1024: echo " $(MKDIR_P) '$(DESTDIR)$(include_racoondir)'"; \
! 1025: $(MKDIR_P) "$(DESTDIR)$(include_racoondir)" || exit 1; \
! 1026: fi; \
1.1 misho 1027: for p in $$list; do \
1028: if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1029: echo "$$d$$p"; \
1030: done | $(am__base_list) | \
1031: while read files; do \
1032: echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(include_racoondir)'"; \
1033: $(INSTALL_HEADER) $$files "$(DESTDIR)$(include_racoondir)" || exit $$?; \
1034: done
1035:
1036: uninstall-include_racoonHEADERS:
1037: @$(NORMAL_UNINSTALL)
1038: @list='$(include_racoon_HEADERS)'; test -n "$(include_racoondir)" || list=; \
1039: files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1.1.1.2 ! misho 1040: dir='$(DESTDIR)$(include_racoondir)'; $(am__uninstall_files_from_dir)
1.1 misho 1041:
1.1.1.2 ! misho 1042: ID: $(am__tagged_files)
! 1043: $(am__define_uniq_tagged_files); mkid -fID $$unique
! 1044: tags: tags-am
! 1045: TAGS: tags
! 1046:
! 1047: tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1.1 misho 1048: set x; \
1049: here=`pwd`; \
1.1.1.2 ! misho 1050: $(am__define_uniq_tagged_files); \
1.1 misho 1051: shift; \
1052: if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1053: test -n "$$unique" || unique=$$empty_fix; \
1054: if test $$# -gt 0; then \
1055: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1056: "$$@" $$unique; \
1057: else \
1058: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1059: $$unique; \
1060: fi; \
1061: fi
1.1.1.2 ! misho 1062: ctags: ctags-am
! 1063:
! 1064: CTAGS: ctags
! 1065: ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
! 1066: $(am__define_uniq_tagged_files); \
1.1 misho 1067: test -z "$(CTAGS_ARGS)$$unique" \
1068: || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1069: $$unique
1070:
1071: GTAGS:
1072: here=`$(am__cd) $(top_builddir) && pwd` \
1073: && $(am__cd) $(top_srcdir) \
1074: && gtags -i $(GTAGS_ARGS) "$$here"
1.1.1.2 ! misho 1075: cscopelist: cscopelist-am
! 1076:
! 1077: cscopelist-am: $(am__tagged_files)
! 1078: list='$(am__tagged_files)'; \
! 1079: case "$(srcdir)" in \
! 1080: [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
! 1081: *) sdir=$(subdir)/$(srcdir) ;; \
! 1082: esac; \
! 1083: for i in $$list; do \
! 1084: if test -f "$$i"; then \
! 1085: echo "$(subdir)/$$i"; \
! 1086: else \
! 1087: echo "$$sdir/$$i"; \
! 1088: fi; \
! 1089: done >> $(top_builddir)/cscope.files
1.1 misho 1090:
1091: distclean-tags:
1092: -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1093:
1.1.1.2 ! misho 1094: # Recover from deleted '.trs' file; this should ensure that
! 1095: # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
! 1096: # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
! 1097: # to avoid problems with "make -n".
! 1098: .log.trs:
! 1099: rm -f $< $@
! 1100: $(MAKE) $(AM_MAKEFLAGS) $<
! 1101:
! 1102: # Leading 'am--fnord' is there to ensure the list of targets does not
! 1103: # exand to empty, as could happen e.g. with make check TESTS=''.
! 1104: am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
! 1105: am--force-recheck:
! 1106: @:
! 1107:
! 1108: $(TEST_SUITE_LOG): $(TEST_LOGS)
! 1109: @$(am__set_TESTS_bases); \
! 1110: am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
! 1111: redo_bases=`for i in $$bases; do \
! 1112: am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
! 1113: done`; \
! 1114: if test -n "$$redo_bases"; then \
! 1115: redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
! 1116: redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
! 1117: if $(am__make_dryrun); then :; else \
! 1118: rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1.1 misho 1119: fi; \
1.1.1.2 ! misho 1120: fi; \
! 1121: if test -n "$$am__remaking_logs"; then \
! 1122: echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
! 1123: "recursion detected" >&2; \
! 1124: else \
! 1125: am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
! 1126: fi; \
! 1127: if $(am__make_dryrun); then :; else \
! 1128: st=0; \
! 1129: errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
! 1130: for i in $$redo_bases; do \
! 1131: test -f $$i.trs && test -r $$i.trs \
! 1132: || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
! 1133: test -f $$i.log && test -r $$i.log \
! 1134: || { echo "$$errmsg $$i.log" >&2; st=1; }; \
! 1135: done; \
! 1136: test $$st -eq 0 || exit 1; \
! 1137: fi
! 1138: @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
! 1139: ws='[ ]'; \
! 1140: results=`for b in $$bases; do echo $$b.trs; done`; \
! 1141: test -n "$$results" || results=/dev/null; \
! 1142: all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
! 1143: pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
! 1144: fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
! 1145: skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
! 1146: xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
! 1147: xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
! 1148: error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
! 1149: if test `expr $$fail + $$xpass + $$error` -eq 0; then \
! 1150: success=true; \
! 1151: else \
! 1152: success=false; \
! 1153: fi; \
! 1154: br='==================='; br=$$br$$br$$br$$br; \
! 1155: result_count () \
! 1156: { \
! 1157: if test x"$$1" = x"--maybe-color"; then \
! 1158: maybe_colorize=yes; \
! 1159: elif test x"$$1" = x"--no-color"; then \
! 1160: maybe_colorize=no; \
1.1 misho 1161: else \
1.1.1.2 ! misho 1162: echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1.1 misho 1163: fi; \
1.1.1.2 ! misho 1164: shift; \
! 1165: desc=$$1 count=$$2; \
! 1166: if test $$maybe_colorize = yes && test $$count -gt 0; then \
! 1167: color_start=$$3 color_end=$$std; \
1.1 misho 1168: else \
1.1.1.2 ! misho 1169: color_start= color_end=; \
1.1 misho 1170: fi; \
1.1.1.2 ! misho 1171: echo "$${color_start}# $$desc $$count$${color_end}"; \
! 1172: }; \
! 1173: create_testsuite_report () \
! 1174: { \
! 1175: result_count $$1 "TOTAL:" $$all "$$brg"; \
! 1176: result_count $$1 "PASS: " $$pass "$$grn"; \
! 1177: result_count $$1 "SKIP: " $$skip "$$blu"; \
! 1178: result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
! 1179: result_count $$1 "FAIL: " $$fail "$$red"; \
! 1180: result_count $$1 "XPASS:" $$xpass "$$red"; \
! 1181: result_count $$1 "ERROR:" $$error "$$mgn"; \
! 1182: }; \
! 1183: { \
! 1184: echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
! 1185: $(am__rst_title); \
! 1186: create_testsuite_report --no-color; \
! 1187: echo; \
! 1188: echo ".. contents:: :depth: 2"; \
! 1189: echo; \
! 1190: for b in $$bases; do echo $$b; done \
! 1191: | $(am__create_global_log); \
! 1192: } >$(TEST_SUITE_LOG).tmp || exit 1; \
! 1193: mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
! 1194: if $$success; then \
! 1195: col="$$grn"; \
! 1196: else \
! 1197: col="$$red"; \
! 1198: test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
! 1199: fi; \
! 1200: echo "$${col}$$br$${std}"; \
! 1201: echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
! 1202: echo "$${col}$$br$${std}"; \
! 1203: create_testsuite_report --maybe-color; \
! 1204: echo "$$col$$br$$std"; \
! 1205: if $$success; then :; else \
! 1206: echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
! 1207: if test -n "$(PACKAGE_BUGREPORT)"; then \
! 1208: echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
! 1209: fi; \
! 1210: echo "$$col$$br$$std"; \
! 1211: fi; \
! 1212: $$success || exit 1
! 1213:
! 1214: check-TESTS:
! 1215: @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
! 1216: @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
! 1217: @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
! 1218: @set +e; $(am__set_TESTS_bases); \
! 1219: log_list=`for i in $$bases; do echo $$i.log; done`; \
! 1220: trs_list=`for i in $$bases; do echo $$i.trs; done`; \
! 1221: log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
! 1222: $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
! 1223: exit $$?;
! 1224: recheck: all
! 1225: @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
! 1226: @set +e; $(am__set_TESTS_bases); \
! 1227: bases=`for i in $$bases; do echo $$i; done \
! 1228: | $(am__list_recheck_tests)` || exit 1; \
! 1229: log_list=`for i in $$bases; do echo $$i.log; done`; \
! 1230: log_list=`echo $$log_list`; \
! 1231: $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
! 1232: am__force_recheck=am--force-recheck \
! 1233: TEST_LOGS="$$log_list"; \
! 1234: exit $$?
! 1235: eaytest.log: eaytest$(EXEEXT)
! 1236: @p='eaytest$(EXEEXT)'; \
! 1237: b='eaytest'; \
! 1238: $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
! 1239: --log-file $$b.log --trs-file $$b.trs \
! 1240: $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
! 1241: "$$tst" $(AM_TESTS_FD_REDIRECT)
! 1242: .test.log:
! 1243: @p='$<'; \
! 1244: $(am__set_b); \
! 1245: $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
! 1246: --log-file $$b.log --trs-file $$b.trs \
! 1247: $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
! 1248: "$$tst" $(AM_TESTS_FD_REDIRECT)
! 1249: @am__EXEEXT_TRUE@.test$(EXEEXT).log:
! 1250: @am__EXEEXT_TRUE@ @p='$<'; \
! 1251: @am__EXEEXT_TRUE@ $(am__set_b); \
! 1252: @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
! 1253: @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
! 1254: @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
! 1255: @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1.1 misho 1256:
1257: distdir: $(DISTFILES)
1258: @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1259: topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1260: list='$(DISTFILES)'; \
1261: dist_files=`for file in $$list; do echo $$file; done | \
1262: sed -e "s|^$$srcdirstrip/||;t" \
1263: -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1264: case $$dist_files in \
1265: */*) $(MKDIR_P) `echo "$$dist_files" | \
1266: sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1267: sort -u` ;; \
1268: esac; \
1269: for file in $$dist_files; do \
1270: if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1271: if test -d $$d/$$file; then \
1272: dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1273: if test -d "$(distdir)/$$file"; then \
1274: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1275: fi; \
1276: if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1277: cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1278: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1279: fi; \
1280: cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1281: else \
1282: test -f "$(distdir)/$$file" \
1283: || cp -p $$d/$$file "$(distdir)/$$file" \
1284: || exit 1; \
1285: fi; \
1286: done
1287: check-am: all-am
1288: $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1289: check: $(BUILT_SOURCES)
1290: $(MAKE) $(AM_MAKEFLAGS) check-am
1291: all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(MANS) $(HEADERS)
1292: installdirs:
1293: for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(include_racoondir)"; do \
1294: test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1295: done
1296: install: $(BUILT_SOURCES)
1297: $(MAKE) $(AM_MAKEFLAGS) install-am
1298: install-exec: install-exec-am
1299: install-data: install-data-am
1300: uninstall: uninstall-am
1301:
1302: install-am: all-am
1303: @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1304:
1305: installcheck: installcheck-am
1306: install-strip:
1.1.1.2 ! misho 1307: if test -z '$(STRIP)'; then \
! 1308: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
! 1309: install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
! 1310: install; \
! 1311: else \
! 1312: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
! 1313: install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
! 1314: "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
! 1315: fi
1.1 misho 1316: mostlyclean-generic:
1.1.1.2 ! misho 1317: -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
! 1318: -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
! 1319: -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1.1 misho 1320:
1321: clean-generic:
1322:
1323: distclean-generic:
1324: -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1325: -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1326:
1327: maintainer-clean-generic:
1328: @echo "This command is intended for maintainers to use"
1329: @echo "it deletes files that may require special tools to rebuild."
1330: -rm -f cfparse.c
1331: -rm -f cfparse.h
1332: -rm -f cftoken.c
1333: -rm -f prsa_par.c
1334: -rm -f prsa_par.h
1335: -rm -f prsa_tok.c
1336: -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1337: clean: clean-am
1338:
1339: clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
1340: clean-noinstPROGRAMS clean-sbinPROGRAMS mostlyclean-am
1341:
1342: distclean: distclean-am
1343: -rm -rf ./$(DEPDIR)
1344: -rm -f Makefile
1345: distclean-am: clean-am distclean-compile distclean-generic \
1346: distclean-tags
1347:
1348: dvi: dvi-am
1349:
1350: dvi-am:
1351:
1352: html: html-am
1353:
1354: html-am:
1355:
1356: info: info-am
1357:
1358: info-am:
1359:
1360: install-data-am: install-include_racoonHEADERS install-man
1361:
1362: install-dvi: install-dvi-am
1363:
1364: install-dvi-am:
1365:
1366: install-exec-am: install-exec-local install-libLTLIBRARIES \
1367: install-sbinPROGRAMS
1368:
1369: install-html: install-html-am
1370:
1371: install-html-am:
1372:
1373: install-info: install-info-am
1374:
1375: install-info-am:
1376:
1377: install-man: install-man5 install-man8
1378:
1379: install-pdf: install-pdf-am
1380:
1381: install-pdf-am:
1382:
1383: install-ps: install-ps-am
1384:
1385: install-ps-am:
1386:
1387: installcheck-am:
1388:
1389: maintainer-clean: maintainer-clean-am
1390: -rm -rf ./$(DEPDIR)
1391: -rm -f Makefile
1392: maintainer-clean-am: distclean-am maintainer-clean-generic
1393:
1394: mostlyclean: mostlyclean-am
1395:
1396: mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1397: mostlyclean-libtool
1398:
1399: pdf: pdf-am
1400:
1401: pdf-am:
1402:
1403: ps: ps-am
1404:
1405: ps-am:
1406:
1407: uninstall-am: uninstall-include_racoonHEADERS uninstall-libLTLIBRARIES \
1408: uninstall-man uninstall-sbinPROGRAMS
1409:
1410: uninstall-man: uninstall-man5 uninstall-man8
1411:
1412: .MAKE: all check check-am install install-am install-strip
1413:
1.1.1.2 ! misho 1414: .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1.1 misho 1415: clean-generic clean-libLTLIBRARIES clean-libtool \
1.1.1.2 ! misho 1416: clean-noinstPROGRAMS clean-sbinPROGRAMS cscopelist-am ctags \
! 1417: ctags-am distclean distclean-compile distclean-generic \
! 1418: distclean-libtool distclean-tags distdir dvi dvi-am html \
! 1419: html-am info info-am install install-am install-data \
! 1420: install-data-am install-dvi install-dvi-am install-exec \
! 1421: install-exec-am install-exec-local install-html \
! 1422: install-html-am install-include_racoonHEADERS install-info \
! 1423: install-info-am install-libLTLIBRARIES install-man \
! 1424: install-man5 install-man8 install-pdf install-pdf-am \
! 1425: install-ps install-ps-am install-sbinPROGRAMS install-strip \
! 1426: installcheck installcheck-am installdirs maintainer-clean \
! 1427: maintainer-clean-generic mostlyclean mostlyclean-compile \
! 1428: mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
! 1429: recheck tags tags-am uninstall uninstall-am \
1.1 misho 1430: uninstall-include_racoonHEADERS uninstall-libLTLIBRARIES \
1431: uninstall-man uninstall-man5 uninstall-man8 \
1432: uninstall-sbinPROGRAMS
1433:
1434:
1435: install-exec-local:
1436: ${mkinstalldirs} $(DESTDIR)${adminsockdir}
1437:
1438: # special object rules
1439: crypto_openssl_test.o: crypto_openssl.c
1440: $(COMPILE) -DEAYDEBUG -o crypto_openssl_test.o -c $(srcdir)/crypto_openssl.c
1441:
1442: misc_noplog.o: misc.c
1443: $(COMPILE) -DNOUSE_PLOG -o misc_noplog.o -c $(srcdir)/misc.c
1444:
1445: # missing/*.c
1446: strdup.o: $(srcdir)/missing/strdup.c
1447: $(COMPILE) -c $(srcdir)/missing/$*.c
1448: getaddrinfo.o: $(srcdir)/missing/getaddrinfo.c
1449: $(COMPILE) -c $(srcdir)/missing/$*.c
1450: getnameinfo.o: $(srcdir)/missing/getnameinfo.c
1451: $(COMPILE) -c $(srcdir)/missing/$*.c
1452: rijndael-api-fst.o: $(srcdir)/missing/crypto/rijndael/rijndael-api-fst.c
1453: $(COMPILE) -c $(srcdir)/missing/crypto/rijndael/$*.c
1454: rijndael-alg-fst.o: $(srcdir)/missing/crypto/rijndael/rijndael-alg-fst.c
1455: $(COMPILE) -c $(srcdir)/missing/crypto/rijndael/$*.c
1456: sha2.o: $(srcdir)/missing/crypto/sha2/sha2.c
1457: $(COMPILE) -c $(srcdir)/missing/crypto/sha2/$*.c
1458:
1459: # Tell versions [3.59,3.63) of GNU make to not export all variables.
1460: # Otherwise a system limit (for SysV at least) may be exceeded.
1461: .NOEXPORT:
FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>